# Method: billingAccounts.orders.get

- [HTTP request](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1alpha1/billingAccounts.orders/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1alpha1/billingAccounts.orders/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1alpha1/billingAccounts.orders/get#body.request_body)
- [Response body](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1alpha1/billingAccounts.orders/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1alpha1/billingAccounts.orders/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1alpha1/billingAccounts.orders/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1alpha1/billingAccounts.orders/get#try-it)

Returns the requested `https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1alpha1/billingAccounts.orders#Order` resource.

### HTTP request

`GET https://cloudcommerceconsumerprocurement.googleapis.com/v1alpha1/{name=billingAccounts/*/orders/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the order to retrieve. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1alpha1/billingAccounts.orders#Order`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `consumerprocurement.orders.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).